#ifndef __RELAYS_H__
#define __RELAYS_H__

typedef enum {
	RELAY_OFF = 0,
	RELAY_ON = 1,
	RELAY_PULSE_ON = 2,
	RELAY_PULSE_OFF = 3,
	RELAY_TOGGLE = 4
} T_RelayAction;

//edit to fit your hardware
#define RELNB				8		//number of relays

void relInit(void);
void relProcess(void);

int relSet(uint8_t relId, T_RelayAction newState);	//returns 0 if OK
T_RelayAction relGetState(uint8_t relId);

int relSetPulseTime(uint8_t relId, uint8_t onTime);	//returns 0 if OK
uint8_t relGetPulseTime(uint8_t relId);
uint8_t relGetPulseTimeLeft(uint8_t relId);

#endif

