#ifndef __SPP_H__
#define __SPP_H__

#include <inttypes.h>
#include <string.h>

#include "spp_cfg.h"

#include "spp_cmdid.h"

#define SPP_BCAST_IN_CLASS			0x0F
#define SPP_BCAST_ALL				0xFF

#define SPP_RESPONSE_DELAY_MS		5
#define SPP_TX_DELAY_MS				20		//delay between consecutive transmissions

typedef struct __attribute__((packed))
{
	uint8_t dstAddr;
	uint8_t srcAddr;
	uint8_t len;
	uint8_t payload[SPP_PAYLOAD_LEN];
}T_sppPacket;

#define SPP_HEADER_SIZE		3	//packet header size: dstAddr + scrAddc + len

void sppInit(void);
uint8_t sppRx(T_sppPacket* pPacket);
uint8_t sppTx(T_sppPacket* pPacket);
uint8_t sppTxAck(T_sppPacket* pPacket);
uint8_t sppIsIdle(void);
void sppIdleTimeout(void);


#endif

